@import '../../../styles/mixins';

.container {
	margin-top: 38px;

	@include mdUp {
		& {
			margin-top: 130px;
		}
	}
}

.col {
	padding-bottom: 24px;
}

.name {
	margin-bottom: 16px;
	font-size: 24px;
	font-weight: bold;
	text-transform: uppercase;
}

.types {
	display: flex;
	margin-bottom: 27px;
	color: $primary-color;
	font-size: 20px;
	font-weight: bold;

	& > div {
		text-transform: capitalize;

		&:not(:last-child) {
			margin-right: 5px;
		}
	}
}

.image {
	height: 270px;
	width: 100%;
	object-fit: cover;

	@include mdOnly {
		& {
			height: 400px;
		}
	}

	@include lgUp {
		& {
			width: 90%;
			height: 625px;
		}
	}
}

.metadata {
	padding: 25px 15px;
	max-width: 360px;
	background-color: $black;
	color: $white;
	font-size: 12px;
	border-radius: 6px;

	.title {
		margin-bottom: 22px;
		font-size: 16px;
	}

	.stat {
		&:not(:last-child) {
			margin-bottom: 10px;
		}

		span {
			color: #f6f588;
		}
	}
}
